Bug 196980 - Deadlock on new file creation
Deadlock on new file creation
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
All All
: P1 (vote)
: 7.0
Assigned To: Vladimir Kvashin
issues@cnd
: 70_HR_FIX, RANDOM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 17:05 UTC by Vladimir Kvashin
Modified: 2011-03-31 13:41 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (33.18 KB, text/plain)
2011-03-22 17:06 UTC, Vladimir Kvashin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-03-22 17:05:47 UTC
in unmanaged project added one file
then added another file.
IDE hangs. see threads dump
Comment 1 Vladimir Kvashin 2011-03-22 17:06:21 UTC
Created attachment 107194 [details]
thread dump
Comment 2 Vladimir Kvashin 2011-03-22 17:55:15 UTC
I guess it is fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/e3632fde99b0
Comment 3 Quality Engineering 2011-03-24 09:51:45 UTC
Integrated into 'main-golden', will be available in build *201103240400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e3632fde99b0
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #196980 - Deadlock on new file creation
Comment 4 Alexander Pepin 2011-03-28 15:25:58 UTC
As the bug has no steps to reproduce and no one can reproduce it any more I consider the bug as verified in dev build. Please push the fix into release70 branch.
Comment 5 Vladimir Kvashin 2011-03-29 20:18:00 UTC
http://hg.netbeans.org/releases/rev/dd4bc5cd54fb
Comment 6 Alexander Pepin 2011-03-31 13:41:06 UTC
Verified in RC2 build 20110331.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo